module Css where

import Data.Text qualified as T
import Text.RawString.QQ

css :: T.Text
css =
  [r|
body {
  margin: 40px auto;
  max-width: 650px;
  line-height: 1.6;
  font-size: 18px;
  color: #e2d2bf;
  background-color: #0f0f15;
  padding: 0 10px;
}

a { color: #f79226; }
a:hover { color: #ffcd56; }

.user-details {
  display: flex;
  background-color: #081829;
  color: #e2d2bf;
  border: 1px solid #fecb87;
}
.user-details a { color: #ffa95e; }
.user-details a:hover { color: #ffcd56; }

.user-details * {
  margin: 10px;
}

.user-details-details * {
  margin: 0px;
}

footer {
  margin-top: 50px;
  margin-bottom: 20px;
  border-top: 1px solid #fecb87;
}

.note-header {
  border-top: 1px solid #888;
  margin-top: 20px;
  padding-top: 20px;
  text-align: center;
}

.avatar {
  width: 100px;
  height: 100px;
  border-radius: 10px;
  border: 1px solid #fecb87;
  margin: 0px;
}

img {
  max-width: 100%;
  display: block;
}

h1,h2,h3 {
  line-height:1.2
}
dd {
  margin-right: 12px;
  margin-left: 12px;
  margin-bottom: 20px;
}
.ltr { direction: ltr }
.rtl { direction: rtl }

.new-note-div { width: 90%; margin: 5px auto; auto; border-radius: 5px;
}
.new-note { width: 100%; margin: auto;
  margin-top: 30px;
  padding-top: 20px;
  border-top: 1px solid #888;
}
.new-note-text { width: 100%; border-radius: 5px; border: 1px solid #fecb87;
  background-color: #081829;
  color: white;
  padding: 5px;
}
.new-note-content { width: 100%; min-width: 100%; max-width: 100%; height: 100px; border-radius: 5px; border: 1px solid #fecb87;
  padding: 5px;
  background-color: #081829;
  color: white;
}
|]
